kr.co.hanwha.hifive.data.model

## Class MainHomeAssignedRoot

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.BaseData
  - - kr.co.hanwha.hifive.data.model.MainHomeAssignedRoot

    public class MainHomeAssignedRoot
    extends BaseData

Created by sanghoonkwon on 2018. 1. 25..

### Field Summary

Fields
`(package private) java.util.ArrayList<TaskListData>` `listClosedTasks` 완료된 업무 목록
`(package private) java.util.ArrayList<TaskListData>` `listNotTodayAssignedTasks` 나의 업무(오늘할일 제외)
`(package private) java.util.ArrayList<TaskListData>` `listTodayAssignedTasks` 나의 업무(오늘할일)
`(package private) java.util.ArrayList<TaskListData>` `listWaitingTasks` 나의 업무 대기 목록

### Fields inherited from class kr.co.hanwha.hifive.data.model.BaseData

`rtn_code, rtn_message, server_time`

### Constructor Summary

Constructors
Constructor and Description
`MainHomeAssignedRoot()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList<TaskListData>` `getListClosedTasks()`
`java.util.ArrayList<TaskListData>` `getListNotTodayAssignedTasks()`
`java.util.ArrayList<TaskListData>` `getListTodayAssignedTasks()`
`java.util.ArrayList<TaskListData>` `getListWaitingTasks()`

### Methods inherited from class kr.co.hanwha.hifive.data.model.BaseData

`getRtn_code, getRtn_message, getServer_time, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### listTodayAssignedTasks

    java.util.ArrayList<TaskListData> listTodayAssignedTasks

나의 업무(오늘할일)

#### listNotTodayAssignedTasks

    java.util.ArrayList<TaskListData> listNotTodayAssignedTasks

나의 업무(오늘할일 제외)

#### listWaitingTasks

    java.util.ArrayList<TaskListData> listWaitingTasks

나의 업무 대기 목록

#### listClosedTasks

    java.util.ArrayList<TaskListData> listClosedTasks

완료된 업무 목록

### Constructor Detail

#### MainHomeAssignedRoot

    public MainHomeAssignedRoot()

### Method Detail

#### getListTodayAssignedTasks

    public java.util.ArrayList<TaskListData> getListTodayAssignedTasks()

#### getListNotTodayAssignedTasks

    public java.util.ArrayList<TaskListData> getListNotTodayAssignedTasks()

#### getListWaitingTasks

    public java.util.ArrayList<TaskListData> getListWaitingTasks()

#### getListClosedTasks

    public java.util.ArrayList<TaskListData> getListClosedTasks()